<?php
class User extends AppModel {

  var $name = 'User';

  var $validate = array(
    'username' => array(
      'unique' => array(
        'rule' => array('isUnique'),
        'on' => 'create',
        'message' => 'そのユーザIDは既に登録されています。'
      ),
      'alphaNumeric' => array(
        'rule' => array('alphaNumeric'),
        'message' => 'ユーザIDは半角英数字のみ有効です。'
      ),
      'required' => array(
        'rule' => VALID_NOT_EMPTY,
        'allowEmpty' => false,
        'required' => true,
        'message' => 'ユーザIDを入力してください。'
      )
    ),
    'password' => array(
      'required' => array(
        'rule' => VALID_NOT_EMPTY,
        'allowEmpty' => false,
        'required' => false,
        'message' => 'パスワードを入力してください。'
      )
    )
  );

}
?>
